Take the 2-minute tour ×
Server Fault is a question and answer site for system and network administrators. It's 100% free, no registration required.

I'm getting errors doing a regular aptitude safe-upgrade of percona-server-server-5.5, I'm already running a version of percona server 5.5

Setting up libmysqlclient18 (5.5.20-rel24.1-217.squeeze) ...
Setting up percona-server-common-5.5 (5.5.20-rel24.1-217.squeeze) ...
Setting up percona-server-client-5.5 (5.5.20-rel24.1-217.squeeze) ...
Setting up percona-server-client (5.5.20-rel24.1-217.squeeze) ...
Setting up percona-server-server-5.5 (5.5.20-rel24.1-217.squeeze) ...
Stopping MySQL (Percona Server): mysqld.
/var/lib/dpkg/info/percona-server-server-5.5.postinst: line 63: 30956 Done                    echo "$replace_query"
     30957 Killed                  | $MYSQL_BOOTSTRAP 2>&1
     30958 Killed                  | $ERR_LOGGER
dpkg: error processing percona-server-server-5.5 (--configure):
 subprocess installed post-installation script returned error exit status 137
configured to not write apport reports
                                      dpkg: dependency problems prevent configuration of percona-server-server:
 percona-server-server depends on percona-server-server-5.5; however:
  Package percona-server-server-5.5 is not configured yet.
dpkg: error processing percona-server-server (--configure):
 dependency problems - leaving unconfigured
Setting up xtrabackup (1.6.5-328.squeeze) ...
configured to not write apport reports
                                      Errors were encountered while processing:
 percona-server-server-5.5
 percona-server-server
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install.  Trying to recover:
Setting up percona-server-server-5.5 (5.5.20-rel24.1-217.squeeze) ...
Stopping MySQL (Percona Server): mysqld.
/var/lib/dpkg/info/percona-server-server-5.5.postinst: line 63: 31163 Done                    echo "$fix_privs"
     31164 Killed                  | $MYSQL_BOOTSTRAP 2>&1
     31165 Killed                  | $ERR_LOGGER
dpkg: error processing percona-server-server-5.5 (--configure):
 subprocess installed post-installation script returned error exit status 137
dpkg: dependency problems prevent configuration of percona-server-server:
 percona-server-server depends on percona-server-server-5.5; however:
  Package percona-server-server-5.5 is not configured yet.
dpkg: error processing percona-server-server (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 percona-server-server-5.5
 percona-server-server

Output from dkpg:

# dpkg --list | grep -E 'mysql|percona'

ii  libmysqlclient18                    5.5.20-rel24.1-217.squeeze   Percona Server database client library
ii  percona-server-client               5.5.20-rel24.1-217.squeeze   Percona Server database client
ii  percona-server-client-5.5           5.5.20-rel24.1-217.squeeze   Percona Server database client binaries
ii  percona-server-common-5.5           5.5.20-rel24.1-217.squeeze   Percona Server database common files (e.g. /etc/mysql/my.cnf)
iU  percona-server-server               5.5.20-rel24.1-217.squeeze   Percona Server database server
iF  percona-server-server-5.5           5.5.20-rel24.1-217.squeeze   Percona Server database server binaries
ii  php5-mysql                          5.3.10-1~dotdeb.1            MySQL module for php5
share|improve this question

1 Answer 1

up vote 0 down vote accepted

Looks like a repository bug. Please file a bug on launchpad.net/percona-server/.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.